using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
	public String TextboxDefaultText = "I am RadTextBox";

    protected void Page_Load(object sender, EventArgs e)
    {
		RadTextBox1_SetValue();
    }

	protected void RadTextBox1_SetValue()
	{
		if (IsPostBack && RadTextBox1.Text != this.TextboxDefaultText)
		{
			Label1.Text = "textbox contains new text: " + RadTextBox1.Text;
		}
		else
		{
			RadTextBox1.Text = this.TextboxDefaultText;
			Label1.Text = "textbox contains default text";
		}
	}
}
